summaryrefslogtreecommitdiffstats
path: root/source/a
diff options
context:
space:
mode:
Diffstat (limited to 'source/a')
-rwxr-xr-xsource/a/efibootmgr/efibootmgr.SlackBuild4
-rw-r--r--source/a/efibootmgr/efibootmgr.efi_set_verbose.diff12
2 files changed, 15 insertions, 1 deletions
diff --git a/source/a/efibootmgr/efibootmgr.SlackBuild b/source/a/efibootmgr/efibootmgr.SlackBuild
index 9671a6e21..5618c09de 100755
--- a/source/a/efibootmgr/efibootmgr.SlackBuild
+++ b/source/a/efibootmgr/efibootmgr.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=efibootmgr
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
+zcat $CWD/efibootmgr.efi_set_verbose.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff b/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff
new file mode 100644
index 000000000..cea96487c
--- /dev/null
+++ b/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff
@@ -0,0 +1,12 @@
+--- ./src/efibootmgr.c.orig 2018-06-10 15:12:10.000000000 -0500
++++ ./src/efibootmgr.c 2018-12-31 13:23:27.284013090 -0600
+@@ -1536,9 +1536,6 @@
+ "invalid numeric value %s\n",
+ optarg);
+ }
+- /* XXX efivar-36 accidentally doesn't have a public
+- * header for this */
+- extern int efi_set_verbose(int verbosity, FILE *errlog);
+ efi_set_verbose(opts.verbose - 2, stderr);
+ break;
+ case 'V':